QID 751365

Date Published: 2021-11-22

QID 751365: SUSE Enterprise Linux Security Update for tomcat (SUSE-SU-2021:3670-1)

This update for tomcat fixes the following issues: - cve-2021-30640: escape parameters in jndi realm queries (bsc#1188279).
- cve-2021-33037: process t-e header from both http 1.0 and http 1.1.
Clients (bsc#1188278).
- cve-2021-41079: fixed a denial of service caused by an unexpected tls packet (bsc#1190558).

Note: The preceding description block is extracted directly from the security advisory. Using automation, we have attempted to clean and format it as much as possible without introducing additional issues.

Successful exploitation allows attacker to compromise the system.

  • CVSS V3 rated as High - 7.5 severity.
  • CVSS V2 rated as Medium - 5.8 severity.
  • Solution
    Upgrade to the latest package which contains the patch. To install this SUSE Security, Update use YaST online_update. Alternatively you can run the command listed for your product. To install packages using the command line interface, use command "yum update". Refer to Suse security advisory: SUSE-SU-2021:3670-1 to address this issue and obtain further details.

    CVEs related to QID 751365

    Software Advisories
    Advisory ID Software Component Link
    SUSE-SU-2021:3670-1 SUSE Enterprise Linux URL Logo lists.suse.com/pipermail/sle-security-updates/2021-November/009730.html